Bug 108916 - .uno:LanguageStatus shouldn't appear in the customization dialog
Summary: .uno:LanguageStatus shouldn't appear in the customization dialog
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: UI (show other bugs)
Version:
(earliest affected)
5.3.4.2 release
Hardware: All Windows (All)
: medium normal
Assignee: Muhammet Kara
URL:
Whiteboard: target:6.0.0 target:5.4.4
Keywords:
Depends on:
Blocks: Customize-Dialog
  Show dependency treegraph
 
Reported: 2017-07-03 01:16 UTC by Jon Rubin
Modified: 2017-11-14 10:35 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Jon Rubin 2017-07-03 01:16:53 UTC
Description:
HI, I'm using Libreoffice 5.3.4.2 I've just added the "Language Status" button to my formatting toolbar and rather than display the language of a selected bit of text, or allow me to change the language of a selected bit of text, it does nothing when I left click on it.

This is what the description of what the button should be doing says: "Displays the language for the selected text. Click to open a menu where you can choose another language for the selected text or for the current paragraph. Choose None to exclude the text from spellchecking and hyphenation. Choose Reset to Default Language to re-apply the default language for the selection or the paragraph. Choose More to open a dialog with more options."


Steps to Reproduce:
add 'language status' button to a toolbar. 
left click on it


Actual Results:  
nothing happens

Expected Results:
Displays the language for the selected text. Click to open a menu where you can choose another language for the selected text or for the current paragraph. Choose None to exclude the text from spellchecking and hyphenation. Choose Reset to Default Language to re-apply the default language for the selection or the paragraph. Choose More to open a dialog with more options


Reproducible: Always

User Profile Reset: No

Additional Info:


User-Agent: Mozilla/5.0 (Windows NT 10.0; WOW64; rv:54.0) Gecko/20100101 Firefox/54.0
Comment 1 Dieter Praas 2017-07-03 12:06:16 UTC
I confirm this bug with LO 5.4.0.1
Comment 2 Maxim Monastirsky 2017-11-07 07:59:39 UTC
"Language Status" isn't a button. It's used for the statusbar language item, and so shouldn't appear in the customization dialog, as it won't work in toolbars or menus.
Comment 3 Commit Notification 2017-11-08 07:56:16 UTC
Muhammet Kara committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=d6214b8e9b3f9956c91d7b88e1985cb56112ea37

tdf#108916: uno:LanguageStatus shouldn't appear in the customize dialog

It will be available in 6.0.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 4 Commit Notification 2017-11-14 10:35:29 UTC
Muhammet Kara committed a patch related to this issue.
It has been pushed to "libreoffice-5-4":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=d7c3298fcf1b41dbbeb58144531bc2f1cd54e720&h=libreoffice-5-4

tdf#108916: uno:LanguageStatus shouldn't appear in the customize dialog

It will be available in 5.4.4.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.